#include "mpi.h"
#include <stdlib.h>

void err(char *msg)
{
  fprintf(stderr, "%s\n", msg);
  exit(1);
}

void terpri(FILE *fp)
{
  fprintf(fp, "\n");
}

int main(int ac, char **av)
{
  MPI a, b, y;
  int r;
  
  r = secmem_init(1000);
  if (r==0) err("secmem init");

  a = mpi_alloc_secure(0);
  b = mpi_alloc_secure(0);
  y = mpi_alloc_secure(0);
  mpi_fromstr(a, "0x1B0B206C488601");
  mpi_fromstr(b, "0x20E92FE28E1929");
  mpi_mul(y, a, b);
  mpi_free(a);
  mpi_free(b);
  
  mpi_print(stdout, y, 1);
  mpi_free(y);
  
  terpri(stdout);
  secmem_term();
  
  return 0;
}
